# frameLoaded

Emitted when the iframe has finished loading -> corresponds to the iframe onload event.

{% hint style="danger" %}
Do **NOT** manually subscribe to the **sambaFrame.frame.onload** event, because it will override the internal handler of our SDK and app won't function. Subscribe to the **frameLoaded** instead as shown if you want to listen to the **onload** event of the iframe.
{% endhint %}

#### Sample subscription code

```javascript
sambaFrame.on('frameLoaded', () => {
  console.log('The iframe has been loaded');
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/events/frameloaded.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
